edu.sc.seis.sod.subsetter.eventChannel.vector

## Class EventVectorLogicalSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.LogicalSubsetter
  - - edu.sc.seis.sod.subsetter.eventChannel.vector.EventVectorLogicalSubsetter

- All Implemented Interfaces:
    SodElement, Subsetter
  Direct Known Subclasses:
    EventVectorAND, EventVectorNOT, EventVectorOR, EventVectorXOR

      public class EventVectorLogicalSubsetter
      extends LogicalSubsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `packages`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `filterList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventVectorLogicalSubsetter(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventVectorSubsetter` | `createSubsetter(Subsetter s)`
    `java.util.List<java.lang.String>` | `getPackages()`
    `protected Subsetter` | `getSubsetter(Subsetter s)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.LogicalSubsetter

      `getSubsetters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### packages

          public static final java.util.List<java.lang.String> packages

  - ### Constructor Detail

    - #### EventVectorLogicalSubsetter

          public EventVectorLogicalSubsetter(org.w3c.dom.Element config)
                                      throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### getPackages

          public java.util.List<java.lang.String> getPackages()

      Specified by:
        `getPackages` in class `LogicalSubsetter`

    - #### getSubsetter

          protected Subsetter getSubsetter(Subsetter s)
                                    throws ConfigurationException

      Specified by:
        `getSubsetter` in class `LogicalSubsetter`
      Throws:
        `ConfigurationException`

    - #### createSubsetter

          public static EventVectorSubsetter createSubsetter(Subsetter s)
                                                      throws ConfigurationException

      Throws:
        `ConfigurationException`